@import (once) "../theme";

@myhordes-map-background: #2e3a0c;

div.map_area {
  div.map {
    font-size: 0; background: @myhordes-map-background; overflow: hidden; padding-top: 100%; position: relative;
    border: 1px solid @myhordes-smalltext;
    &:before,&:after {
      display: block; content: " "; position: absolute; left: 0; top: 0; width: 100%; height: 100%;
      pointer-events: none;
    }
    &:before {background: radial-gradient(circle, rgba(0,0,0,0) 0%, rgba(0,0,0,0.1) 30%, rgba(0,0,0,0.7) 100%); z-index: 3; pointer-events: none }
    &:after {background: url("../../img/anims/noise.gif") repeat; opacity: 0.02; z-index: 5; pointer-events: none }
    &>.zone-plane, &>.zone-plane-controls {
      transition: opacity 0.25s ease, transform 0.25s ease, top 1.25s ease, left 1.25s ease; pointer-events: none; position: absolute;
      opacity: 0;
    }
    &>.zone-plane {
      transform: scale(0.25);
      background: url("../../img/background/bg_zone_map.jpg") top left/20% repeat, black; z-index: 2;
      top: -200%; left: -200%; width: 500%; height: 500%; font-size: 0;
      &>.zone-sub-container {
        position: absolute; top: 0; left: 0; width: 100%; height: 100%;
        &.censor-master { filter: blur(60px) }
        &>.zone-subplane {
          position: relative; display: inline-block; padding: 0; margin: 0; width: 20%; height: 20%;
          &>.censor { top: 0; left: 0; width: 100%; height: 100%; background: black; }
          &>.ruin {
            background: url("../../img/ruin/unknown.gif") center no-repeat; position: absolute; transform: scale(2);
            top: 0; left: 0; width: 100%; height: 100% }
          &>.actor {
            overflow: visible;
            position: absolute;
            width: 0;
            height: 0;
            transform: scale(2);
            animation: glitch-actor-1 4s infinite linear alternate;
            &:nth-child(2n) {
              animation: glitch-actor-2 4s infinite linear alternate;
            }
            &:nth-child(3n) {
              animation: glitch-actor-3 4s infinite linear alternate;
            }
            &:before { position: absolute; content: " "; width: 24px; height: 24px; left: -12px; top: -12px; }
            &.citizen:before { background: url("../../img/icons/map/map_icon_citizen.png") center/contain no-repeat; }
            &.zombie:before { background:  url("../../img/icons/map/map_icon_zombie.png") center/contain no-repeat; }
          }
        }
      }
      &.retro {
        & .retro-effect {
          position: absolute;
          top: 25%;
          left: 25%;
          width: 50%;
          height: 50%;
          background: url("../../img/background/bg_zone_map.jpg") top left/20% repeat, black;
          z-index: 0;

          &:nth-child(1) {
            background-color: #ddab76;
            background-blend-mode: overlay;
            transform: translate3d(0, calc(-1 * 5px), 0) scale3d(-1, -1, 1);
            animation: glitch-anim-1 4s infinite linear alternate;
          }

          &:nth-child(2) {
            background-color: transparent;
            background-blend-mode: unset;
            transform: translate3d(10px, 0, 0);
            animation: glitch-anim-2 4s infinite linear alternate;
          }

          &:nth-child(3) {
            background-color: transparent;
            background-blend-mode: unset;
            transform: translate3d(calc(-1 * 10px), 0, 0);
            animation: glitch-anim-3 4s infinite linear alternate;
          }

          &:nth-child(4) {
            background-color: #3e2417; /* #ddab76 */
            background-blend-mode: overlay;
            transform: translate3d(0, calc(-1 * 5px), 0) scale3d(-1, -1, 1);
            animation: glitch-anim-4 4s infinite linear alternate;
          }

          &:nth-child(5) {
            background-color: #750000;
            background-blend-mode: overlay;
            animation: glitch-anim-flash 4s steps(1, end) infinite;
          }
        }
      }
    }
    &>.zone-plane-controls {
      top: 0; left: 0; width: 100%; height: 100%; transform: scale(1.2); z-index: 4;
      &.hide { opacity: 0; pointer-events: none };
      &>.action-move,&>.marker-direction, &>.scout-sense, &>.scavenger-sense {
        position: absolute; z-index: 4; cursor: pointer;
        &.on-route { filter: hue-rotate(90deg); transform: scale(1.2); }
      }
      &>.scout-sense,&>.scavenger-sense,&>.marker-direction { cursor: default; pointer-events: none; }
      &>.scout-sense-west , &>.scavenger-sense-west  { top: 43%; bottom: 43%; left: 8%; right: 87% }
      &>.scout-sense-east , &>.scavenger-sense-east  { top: 43%; bottom: 43%; left: 87%; right: 8% }
      &>.scout-sense-north, &>.scavenger-sense-north { top: 8%; bottom: 87%; left: 43%; right: 43% }
      &>.scout-sense-south, &>.scavenger-sense-south { top: 87%; bottom: 8%; left: 43%; right: 43% }
      &>.scavenger-sense-0 { background: url("../../img/icons/Small_broken.gif") center no-repeat }
      &>.scavenger-sense-1 { background: url("../../img/icons/small_gather.gif") center no-repeat }

      &>.action-move {
        background: url(../../img/icons/map/227.svg) 50% / contain no-repeat, url(../../img/icons/map/226.svg) 50% / contain no-repeat;
        width: 81px; height: 81px;
        transform-origin: center;
        top: auto; bottom: auto; left: auto; right: auto;

        &:hover {
          background: url(../../img/icons/map/228.svg) 50% no-repeat;
        }
        &.action-move-north {
          top: -5%; left: 50%; transform: translateX(-50%);
        }
        &.action-move-east {
          top: 50%; right: -5%; transform: translateY(-50%) rotate(90deg);
        }
        &.action-move-south {
          left: 50%; bottom: -5%; transform: translateX(-50%) rotate(180deg);
        }
        &.action-move-west {
          top: 50%; left: -5%; transform: translateY(-50%) rotate(270deg);
        }
      }
      &>.marker-direction  { top: 0; bottom: 0; left:  0; right: 0; background: url("../../img/icons/map/map_move_marker.svg") center/contain no-repeat; }
      &>.current-location  { position: absolute;bottom: 5px;top: auto;right: 5px;left: auto;display: block;z-index: 10;color: #d7ff5b;font-size: 1.25rem;text-shadow: 0px 0px 5px #d7ff5b;font-family: "visitor2";letter-spacing: 0.1rem;
        animation: glitch-anim-text 4s infinite linear alternate;

      }
    };

    &>.scroll-plane {
      position: absolute; display: block; top: 0; left: 0; width: 100%; z-index: 1; padding: 5px;
      &>.svg {
        position: absolute; top: 0; left: 0; width: 100%; height: 100%; padding: 5px; pointer-events: none; z-index: 3;
        &>svg { width: 100%; height: 100%; transform: scale(1,-1); }
      }
      &>.zone,&>.void {
        display: inline-block; margin: 0; position: relative; outline: transparent solid 1px;
        transition: outline-color 0.5s ease; cursor: pointer;
        &:before {
          position: absolute; content: " "; display: block; top: 5%; left: 5%; bottom: 5%; right: 5%;
          border: 1px solid lighten(@myhordes-map-background, 20%);
        }
        &.active { &:before { outline: 2px solid #b4da4c; } }

        &:hover { outline-color: #a4af80; }
      };

      &>.zone {

        &.danger-0 { background: none; }
        &.danger-1 { background: #5e6507; }
        &.danger-2 { background: #947726; }
        &.danger-3 { background: #cc0a0a; }
        &.danger-4 { background: #004182; }

        &>div:not(.tooltip) { position: absolute; display: block; top: 0; left: 0; width: 100%; z-index: 1; height: 100%; }
        &>div.count          { pointer-events: none; font-size: .5rem; color: white; font-weight: bold; text-align: center; padding-top: 2px; text-shadow: 0 0 1px black, 0 0 2px black, 0 0 3px black; }
        &>div.citizen_marker:before { position: absolute; top: 35%; left: 35%; right: 35%; bottom: 35%; display: block; background: #ffff00; content: " "; border-radius: 50%; border: 1px solid red;  }
        &>div.tag {
          background-repeat: no-repeat;
          background-position: center;
          background-size: contain, 100%;
          display: none;
          &.tag-1 {
            background-image: url('../../img/tags/tag_1.gif');
          }
          &.tag-2 {
            background-image: url('../../img/tags/tag_2.gif');
          }
          &.tag-3 {
            background-image: url('../../img/tags/tag_3.gif');
          }
          &.tag-4 {
            background-image: url('../../img/tags/tag_4.gif');
          }
          &.tag-5 {
            background-image: url('../../img/tags/tag_5.gif');
          }
          &.tag-6 {
            background-image: url('../../img/tags/tag_6.gif');
          }
          &.tag-7 {
            background-image: url('../../img/tags/tag_7.gif');
          }
          &.tag-8 {
            background-image: url('../../img/tags/tag_8.gif');
          }
          &.tag-9 {
            background-image: url('../../img/tags/tag_9.gif');
          }
          &.tag-10 {
            background-image: url('../../img/tags/tag_10.gif');
          }
          &.tag-11 {
            background-image: url('../../img/tags/tag_11.gif');
          }
          &.tag-12 {
            background-image: url('../../img/tags/tag_12.gif');
          }
        }
        &>div.soul-area {
          width: 200%;
          height: 200%;
          position: absolute;
          top: -100%;
          left: -100%;
          pointer-events: none;

          span {
            width: 0;
            height: 0;
            padding: 30% 20%;
            position: absolute;
            left: 10%;
            top: 10%;
            background-image: url('../../img/item/item_soul_blue.gif');
            background-repeat: no-repeat;
            background-size: contain;
            animation: zone-soul 18s infinite linear;
            transform-origin: 50% 85%;
          }
        }
        &:nth-child(2n)>div.soul-area { transform: rotate(60deg); }
        &:nth-child(5n)>div.soul-area { transform: rotate(104deg); }
        &:nth-child(11n)>div.soul-area { transform: rotate(8deg); }
        &:nth-child(23n)>div.soul-area { transform: rotate(162deg); }
        &:nth-child(3n+2)>div.soul-area { transform: rotate(47deg); }
        &:nth-child(5n+3)>div.soul-area { transform: rotate(135deg); }

        &:nth-child(3n)>div.soul-area span { animation-duration: 14s; }
        &:nth-child(7n)>div.soul-area span { animation-duration: 20s; }
        &:nth-child(15n)>div.soul-area span { animation-duration: 12s; }
        &:nth-child(31n)>div.soul-area span { animation-duration: 17s; }
        &:nth-child(3n+1)>div.soul-area span { animation-duration: 19s; }
        &:nth-child(7n+5)>div.soul-area span { animation-duration: 16s; }

        &.town:not(.devast)>div.icon { background: url("../../img/icons/map/map_zone_town.svg") center/contain no-repeat; }
        &.town.devast>div.icon { background: url("../../img/icons/map/map_zone_town_devast.svg") center/contain no-repeat; }
        &.ruin:not(.buried)>div.icon { background: url("../../img/icons/map/map_zone_ruin.svg") center/contain no-repeat; }
        &.ruin.buried>div.icon { background: url("../../img/icons/map/map_zone_buried.svg") center/contain no-repeat; }
        &.past   >div.icon { background: url("../../img/icons/map/map_zone_past.svg") center/contain no-repeat; }
        &.unknown>div.icon { background-image: url("../../img/icons/map/map_zone_unknown.png"); background-repeat: no-repeat; background-position: center; }
      }
    }

    &.show-tags {
      &>.scroll-plane {
        &>.zone {
          &>div.tag {
            display: block;
          }
        }
      }
    }

    &>.routes-plane {
      transition: opacity 0.25s ease;
      position: absolute; padding: 16px; top: 0; left: 0; bottom: 0; right: 0; z-index: 3; background: rgba(0,0,0,0.5);
      opacity: 1;
      &>div {
        width: 100%; height: 100%; transform: scale(1); transition: transform 0.25s ease;
        border: 1px solid lighten(@myhordes-map-background, 10%); overflow-y: auto;
        background: @myhordes-map-background; color: #b4da4c; font-size: 1.2rem;
        &>div.row {
          transition: background-color 0.1s ease; background: transparent;
          cursor: pointer;
          &:hover { background:lighten(@myhordes-map-background, 10%) }
        }
      }
      &.hidden { opacity: 0; pointer-events: none; &>div { transform: scale(0.75); } }
    }

    & .retro-effect {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: url("../../img/anims/noise.gif") top left/20% repeat;
      z-index: 5;
      pointer-events: none;
      opacity: 0.04;

      &:nth-last-child(5) {
        background-color: #ddab76;
        background-blend-mode: overlay;
        transform: translate3d(0, calc(-1 * 5px), 0) scale3d(-1, -1, 1);
        animation: glitch-anim-5 4s infinite linear alternate;
      }

      &:nth-last-child(2) {
        background-color: transparent;
        background-blend-mode: unset;
        transform: translate3d(10px, 0, 0);
        animation: glitch-anim-6 4s infinite linear alternate;
      }

      &:nth-last-child(3) {
        background-color: transparent;
        background-blend-mode: unset;
        transform: translate3d(calc(-1 * 10px), 0, 0);
        animation: glitch-anim-7 4s infinite linear alternate;
      }

      &:nth-last-child(4) {
        background-color: #b4da4c;
        background-blend-mode: overlay;
        transform: translate3d(0, calc(-1 * 5px), 0) scale3d(-1, -1, 1);
        animation: glitch-anim-8 4s infinite linear alternate;
      }

      &:nth-last-child(5) {
        background-color: #750000;
        background-blend-mode: overlay;
        animation: glitch-anim-flash 4s steps(1, end) infinite;
      }
    }
  }
  div.controls {
    background: @myhordes-cell-header-background-color; height: 30px; padding: 1px 10px;
    /*border-bottom-left-radius: 4px; border-bottom-right-radius: 4px;*/
    &>div.tilemap_controls {display: block};
    &>div.zonemap_controls {display: none};
    .hide-tags,
    .show-tags {
      padding-left: 16px;
    }
    .hide-tags {
      background: url('../../img/icons/tickOff.gif') 3px 0 no-repeat, url(../../img/background/bg_button.gif) center / cover no-repeat;
    }
    .show-tags {
      background: url('../../img/icons/tickOn.gif') 3px 0 no-repeat, url(../../img/background/bg_button.gif) center / cover no-repeat;
    }
  }

  &.zone-viewer-mode {
    &>.map {
      &:before {opacity: 0.9; background: radial-gradient(circle, rgba(0,0,0,0.0) 0%, rgba(0,0,0,0.4) 30%, rgba(0,0,0,0.85) 70%, rgba(0,0,0,1.0) 100%);}
      &>.zone-plane, &>.zone-plane-controls { opacity: 1; pointer-events: all; }
      &>.zone-plane { transform: scale(0.5); }
      &>.zone-plane-controls { transform: scale(1); }
    }
    &>.controls {
      &>div.tilemap_controls {display: none};
      &>div.zonemap_controls {display: block};
    }
  }
}

.tooltip.tooltip-map {
  border: 1px solid #b4da4c; background: fade(@myhordes-map-background,80%); color: #b4da4c; min-width: 175px;
  &:after { content: " "; position: absolute; top: 0; left: 0; width: 100%; height: 100%;
    background: url("../../img/anims/noise.gif") repeat; opacity: 0.02; }
}


/* Animation presets */
@keyframes zone-soul {
  0%    { left: 30%; top: -30%; transform: rotate( -35deg);  }
  10.7%  { left: 80%; top:  30%; transform: rotate( -35deg);  }
  11.8%  { left: 80%; top:  30%; transform: rotate( 106deg);  }
  21.4% { left: 10%; top:  20%; transform: rotate( 106deg);  }
  22.5% { left: 10%; top:  20%; transform: rotate(-120deg); }
  32.1% { left: 70%; top: -20%; transform: rotate(-120deg); }
  33.2% { left: 70%; top: -20%; transform: rotate(  35deg);   }
  41.8% { left: 20%; top:  50%; transform: rotate(  35deg);   }
  42.9% { left: 20%; top:  50%; transform: rotate(-173deg); }
  53.6% { left: 30%; top: -30%; transform: rotate(-173deg); }
  54.7% { left: 30%; top: -30%; transform: rotate( -35deg);  }
  64.4% { left: 80%; top:  30%; transform: rotate( -35deg);  }
  65.5% { left: 80%; top:  30%; transform: rotate( 106deg);  }
  74.2% { left: 10%; top:  20%; transform: rotate( 106deg);  }
  75.3% { left: 10%; top:  20%; transform: rotate(-120deg); }
  85.9% { left: 70%; top: -20%; transform: rotate(-120deg); }
  87.0% { left: 70%; top: -20%; transform: rotate(  35deg);   }
  92.9% { left: 20%; top:  50%; transform: rotate(  35deg);   }
  94.0% { left: 20%; top:  50%; transform: rotate(-173deg); }
  100%  { left: 30%; top: -30%; transform: rotate(-173deg); }
}

@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}

@keyframes glitch-actor-1 {
  0% { transform: translate(2px, -4px) scale(3); }
  1% { transform: translate(3px, -3px) scale(2.8); }
  1%, 100% { transform: translate(0, 0) scale(2); }
}
@keyframes glitch-actor-2 {
  0%, 1% { transform: translate(-12px, -8px) scale(3.4); }
  2% { transform: translate(-10px, -6px) scale(3.8); }
  2%, 100% { transform: translate(0, 0) scale(2); }
}
@keyframes glitch-actor-3 {
  0% { transform: translate(-7px, 6px) scale(1.5); }
  2% { transform: translate(-9px, 5px) scale(1.7);}
  2%, 100% { transform: translate(0, 0) scale(2); }
}

@keyframes glitch-anim-text {
  0% {
    transform: translate3d(calc(-1 * 10px),0,0) scale3d(-1,-1,1);
    -webkit-clip-path: polygon(0 20%, 100% 20%, 100% 21%, 0 21%);
    clip-path: polygon(0 20%, 100% 20%, 100% 21%, 0 21%);
  }
  2% {
    -webkit-clip-path: polygon(0 33%, 100% 33%, 100% 33%, 0 33%);
    clip-path: polygon(0 33%, 100% 33%, 100% 33%, 0 33%);
  }
  4% {
    -webkit-clip-path: polygon(0 44%, 100% 44%, 100% 44%, 0 44%);
    clip-path: polygon(0 44%, 100% 44%, 100% 44%, 0 44%);
  }
  5% {
    -webkit-clip-path: polygon(0 50%, 100% 50%, 100% 20%, 0 20%);
    clip-path: polygon(0 50%, 100% 50%, 100% 20%, 0 20%);
  }
  6% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 70%, 0 70%);
    clip-path: polygon(0 70%, 100% 70%, 100% 70%, 0 70%);
  }
  7% {
    -webkit-clip-path: polygon(0 80%, 100% 80%, 100% 80%, 0 80%);
    clip-path: polygon(0 80%, 100% 80%, 100% 80%, 0 80%);
  }
  8% {
    -webkit-clip-path: polygon(0 50%, 100% 50%, 100% 55%, 0 55%);
    clip-path: polygon(0 50%, 100% 50%, 100% 55%, 0 55%);
  }
  9% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 80%, 0 80%);
    clip-path: polygon(0 70%, 100% 70%, 100% 80%, 0 80%);
  }
  9.9% {
    transform: translate3d(calc(-1 * 10px),0,0) scale3d(-1,-1,1);
  }
  10%, 100% {
    transform: translate3d(0,0,0) scale3d(1,1,1);
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
  }
}

@keyframes glitch-anim-flash {
  0%, 1% {
    opacity: 0.2;
    transform: translate3d(10px, 5px, 0);
  }
  1%, 100% {
    opacity: 0;
    transform: translate3d(0,0,0);
  }
}

@keyframes glitch-anim-1 {
  0% {
    opacity: 1;
    transform: translate3d(10px,0,0);
    -webkit-clip-path: polygon(0 2%, 100% 2%, 100% 5%, 0 5%);
    clip-path: polygon(0 2%, 100% 2%, 100% 5%, 0 5%);
  }
  2% {
    -webkit-clip-path: polygon(0 15%, 100% 15%, 100% 15%, 0 15%);
    clip-path: polygon(0 15%, 100% 15%, 100% 15%, 0 15%);
  }
  4% {
    -webkit-clip-path: polygon(0 10%, 100% 10%, 100% 20%, 0 20%);
    clip-path: polygon(0 10%, 100% 10%, 100% 20%, 0 20%);
  }
  6% {
    -webkit-clip-path: polygon(0 1%, 100% 1%, 100% 2%, 0 2%);
    clip-path: polygon(0 1%, 100% 1%, 100% 2%, 0 2%);
  }
  8% {
    -webkit-clip-path: polygon(0 33%, 100% 33%, 100% 33%, 0 33%);
    clip-path: polygon(0 33%, 100% 33%, 100% 33%, 0 33%);
  }
  10% {
    -webkit-clip-path: polygon(0 44%, 100% 44%, 100% 44%, 0 44%);
    clip-path: polygon(0 44%, 100% 44%, 100% 44%, 0 44%);
  }
  12% {
    -webkit-clip-path: polygon(0 50%, 100% 50%, 100% 20%, 0 20%);
    clip-path: polygon(0 50%, 100% 50%, 100% 20%, 0 20%);
  }
  14% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 70%, 0 70%);
    clip-path: polygon(0 70%, 100% 70%, 100% 70%, 0 70%);
  }
  16% {
    -webkit-clip-path: polygon(0 80%, 100% 80%, 100% 80%, 0 80%);
    clip-path: polygon(0 80%, 100% 80%, 100% 80%, 0 80%);
  }
  18% {
    -webkit-clip-path: polygon(0 50%, 100% 50%, 100% 55%, 0 55%);
    clip-path: polygon(0 50%, 100% 50%, 100% 55%, 0 55%);
  }
  20% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 80%, 0 80%);
    clip-path: polygon(0 70%, 100% 70%, 100% 80%, 0 80%);
  }
  21.9% {
    opacity: 1;
    transform: translate3d(10px,0,0);
  }
  22%, 100% {
    opacity: 0;
    transform: translate3d(0,0,0);
    -webkit-clip-path: polygon(0 0, 0 0, 0 0, 0 0);
    clip-path: polygon(0 0, 0 0, 0 0, 0 0);
  }
}

@keyframes glitch-anim-2 {
  0% {
    opacity: 1;
    transform: translate3d(calc(-1 * 10px),0,0);
    -webkit-clip-path: polygon(0 25%, 100% 25%, 100% 30%, 0 30%);
    clip-path: polygon(0 25%, 100% 25%, 100% 30%, 0 30%);
  }
  3% {
    -webkit-clip-path: polygon(0 3%, 100% 3%, 100% 3%, 0 3%);
    clip-path: polygon(0 3%, 100% 3%, 100% 3%, 0 3%);
  }
  5% {
    -webkit-clip-path: polygon(0 5%, 100% 5%, 100% 20%, 0 20%);
    clip-path: polygon(0 5%, 100% 5%, 100% 20%, 0 20%);
  }
  7% {
    -webkit-clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
    clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
  }
  9% {
    -webkit-clip-path: polygon(0 40%, 100% 40%, 100% 40%, 0 40%);
    clip-path: polygon(0 40%, 100% 40%, 100% 40%, 0 40%);
  }
  11% {
    -webkit-clip-path: polygon(0 52%, 100% 52%, 100% 59%, 0 59%);
    clip-path: polygon(0 52%, 100% 52%, 100% 59%, 0 59%);
  }
  13% {
    -webkit-clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
    clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
  }
  15% {
    -webkit-clip-path: polygon(0 75%, 100% 75%, 100% 75%, 0 75%);
    clip-path: polygon(0 75%, 100% 75%, 100% 75%, 0 75%);
  }
  17% {
    -webkit-clip-path: polygon(0 65%, 100% 65%, 100% 40%, 0 40%);
    clip-path: polygon(0 65%, 100% 65%, 100% 40%, 0 40%);
  }
  19% {
    -webkit-clip-path: polygon(0 45%, 100% 45%, 100% 50%, 0 50%);
    clip-path: polygon(0 45%, 100% 45%, 100% 50%, 0 50%);
  }
  20% {
    -webkit-clip-path: polygon(0 14%, 100% 14%, 100% 33%, 0 33%);
    clip-path: polygon(0 14%, 100% 14%, 100% 33%, 0 33%);
  }
  21.9% {
    opacity: 1;
    transform: translate3d(calc(-1 * 10px),0,0);
  }
  22%, 100% {
    opacity: 0;
    transform: translate3d(0,0,0);
    -webkit-clip-path: polygon(0 0, 0 0, 0 0, 0 0);
    clip-path: polygon(0 0, 0 0, 0 0, 0 0);
  }
}

@keyframes glitch-anim-3 {
  0% {
    opacity: 1;
    transform: translate3d(0, calc(-1 * 5px), 0) scale3d(-1,-1,1);
    -webkit-clip-path: polygon(0 1%, 100% 1%, 100% 3%, 0 3%);
    clip-path: polygon(0 1%, 100% 1%, 100% 3%, 0 3%);
  }
  1.5% {
    -webkit-clip-path: polygon(0 10%, 100% 10%, 100% 9%, 0 9%);
    clip-path: polygon(0 10%, 100% 10%, 100% 9%, 0 9%);
  }
  2% {
    -webkit-clip-path: polygon(0 5%, 100% 5%, 100% 6%, 0 6%);
    clip-path: polygon(0 5%, 100% 5%, 100% 6%, 0 6%);
  }
  2.5% {
    -webkit-clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
    clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
  }
  3% {
    -webkit-clip-path: polygon(0 10%, 100% 10%, 100% 10%, 0 10%);
    clip-path: polygon(0 10%, 100% 10%, 100% 10%, 0 10%);
  }
  5% {
    -webkit-clip-path: polygon(0 30%, 100% 30%, 100% 25%, 0 25%);
    clip-path: polygon(0 30%, 100% 30%, 100% 25%, 0 25%);
  }
  5.5% {
    -webkit-clip-path: polygon(0 15%, 100% 15%, 100% 16%, 0 16%);
    clip-path: polygon(0 15%, 100% 15%, 100% 16%, 0 16%);
  }
  7% {
    -webkit-clip-path: polygon(0 40%, 100% 40%, 100% 39%, 0 39%);
    clip-path: polygon(0 40%, 100% 40%, 100% 39%, 0 39%);
  }
  8% {
    -webkit-clip-path: polygon(0 20%, 100% 20%, 100% 21%, 0 21%);
    clip-path: polygon(0 20%, 100% 20%, 100% 21%, 0 21%);
  }
  9% {
    -webkit-clip-path: polygon(0 60%, 100% 60%, 100% 55%, 0 55%);
    clip-path: polygon(0 60%, 100% 60%, 100% 55%, 0 55%);
  }
  10.5% {
    -webkit-clip-path: polygon(0 30%, 100% 30%, 100% 31%, 0 31%);
    clip-path: polygon(0 30%, 100% 30%, 100% 31%, 0 31%);
  }
  11% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 69%, 0 69%);
    clip-path: polygon(0 70%, 100% 70%, 100% 69%, 0 69%);
  }
  13% {
    -webkit-clip-path: polygon(0 40%, 100% 40%, 100% 41%, 0 41%);
    clip-path: polygon(0 40%, 100% 40%, 100% 41%, 0 41%);
  }
  14% {
    -webkit-clip-path: polygon(0 80%, 100% 80%, 100% 75%, 0 75%);
    clip-path: polygon(0 80%, 100% 80%, 100% 75%, 0 75%);
  }
  14.5% {
    -webkit-clip-path: polygon(0 50%, 100% 50%, 100% 51%, 0 51%);
    clip-path: polygon(0 50%, 100% 50%, 100% 51%, 0 51%);
  }
  15% {
    -webkit-clip-path: polygon(0 90%, 100% 90%, 100% 90%, 0 90%);
    clip-path: polygon(0 90%, 100% 90%, 100% 90%, 0 90%);
  }
  16% {
    -webkit-clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
    clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
  }
  18% {
    -webkit-clip-path: polygon(0 100%, 100% 100%, 100% 99%, 0 99%);
    clip-path: polygon(0 100%, 100% 100%, 100% 99%, 0 99%);
  }
  20% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 71%, 0 71%);
    clip-path: polygon(0 70%, 100% 70%, 100% 71%, 0 71%);
  }
  21.9% {
    opacity: 1;
    transform: translate3d(0, calc(-1 * 5px), 0) scale3d(-1,-1,1);
  }
  22%, 100% {
    opacity: 0;
    transform: translate3d(0,0,0);
    -webkit-clip-path: polygon(0 0, 0 0, 0 0, 0 0);
    clip-path: polygon(0 0, 0 0, 0 0, 0 0);
  }
}

@keyframes glitch-anim-4 {
  0% {
    opacity: .5;
    transform: translate3d(0, calc(-1 * 10px), 0) scale3d(-1,-1,1);
    -webkit-clip-path: polygon(0 1%, 100% 1%, 100% 3%, 0 3%);
    clip-path: polygon(0 1%, 100% 1%, 100% 3%, 0 3%);
  }
  1.5% {
    -webkit-clip-path: polygon(0 10%, 100% 10%, 100% 9%, 0 9%);
    clip-path: polygon(0 10%, 100% 10%, 100% 9%, 0 9%);
  }
  2% {
    -webkit-clip-path: polygon(0 5%, 100% 5%, 100% 6%, 0 6%);
    clip-path: polygon(0 5%, 100% 5%, 100% 6%, 0 6%);
  }
  2.5% {
    -webkit-clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
    clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
  }
  3% {
    -webkit-clip-path: polygon(0 10%, 100% 10%, 100% 10%, 0 10%);
    clip-path: polygon(0 10%, 100% 10%, 100% 10%, 0 10%);
  }
  5% {
    -webkit-clip-path: polygon(0 30%, 100% 30%, 100% 25%, 0 25%);
    clip-path: polygon(0 30%, 100% 30%, 100% 25%, 0 25%);
  }
  5.5% {
    -webkit-clip-path: polygon(0 15%, 100% 15%, 100% 16%, 0 16%);
    clip-path: polygon(0 15%, 100% 15%, 100% 16%, 0 16%);
  }
  7% {
    -webkit-clip-path: polygon(0 40%, 100% 40%, 100% 39%, 0 39%);
    clip-path: polygon(0 40%, 100% 40%, 100% 39%, 0 39%);
  }
  8% {
    -webkit-clip-path: polygon(0 20%, 100% 20%, 100% 21%, 0 21%);
    clip-path: polygon(0 20%, 100% 20%, 100% 21%, 0 21%);
  }
  9% {
    -webkit-clip-path: polygon(0 60%, 100% 60%, 100% 55%, 0 55%);
    clip-path: polygon(0 60%, 100% 60%, 100% 55%, 0 55%);
  }
  10.5% {
    -webkit-clip-path: polygon(0 30%, 100% 30%, 100% 31%, 0 31%);
    clip-path: polygon(0 30%, 100% 30%, 100% 31%, 0 31%);
  }
  11% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 69%, 0 69%);
    clip-path: polygon(0 70%, 100% 70%, 100% 69%, 0 69%);
  }
  13% {
    -webkit-clip-path: polygon(0 40%, 100% 40%, 100% 41%, 0 41%);
    clip-path: polygon(0 40%, 100% 40%, 100% 41%, 0 41%);
  }
  14% {
    -webkit-clip-path: polygon(0 80%, 100% 80%, 100% 75%, 0 75%);
    clip-path: polygon(0 80%, 100% 80%, 100% 75%, 0 75%);
  }
  14.5% {
    -webkit-clip-path: polygon(0 50%, 100% 50%, 100% 51%, 0 51%);
    clip-path: polygon(0 50%, 100% 50%, 100% 51%, 0 51%);
  }
  15% {
    -webkit-clip-path: polygon(0 90%, 100% 90%, 100% 90%, 0 90%);
    clip-path: polygon(0 90%, 100% 90%, 100% 90%, 0 90%);
  }
  16% {
    -webkit-clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
    clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
  }
  18% {
    -webkit-clip-path: polygon(0 100%, 100% 100%, 100% 99%, 0 99%);
    clip-path: polygon(0 100%, 100% 100%, 100% 99%, 0 99%);
  }
  20% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 71%, 0 71%);
    clip-path: polygon(0 70%, 100% 70%, 100% 71%, 0 71%);
  }
  21.9% {
    opacity: 1;
    transform: translate3d(0, calc(-1 * 10px), 0) scale3d(-1,-1,1);
  }
  22%, 100% {
    opacity: 0;
    transform: translate3d(0,0,0);
    -webkit-clip-path: polygon(0 0, 0 0, 0 0, 0 0);
    clip-path: polygon(0 0, 0 0, 0 0, 0 0);
  }
}

@keyframes glitch-anim-5 {
  0% {
    opacity: .14;
    transform: translate3d(10px,0,0);
    -webkit-clip-path: polygon(0 2%, 100% 2%, 100% 5%, 0 5%);
    clip-path: polygon(0 2%, 100% 2%, 100% 5%, 0 5%);
  }
  2% {
    -webkit-clip-path: polygon(0 15%, 100% 15%, 100% 15%, 0 15%);
    clip-path: polygon(0 15%, 100% 15%, 100% 15%, 0 15%);
  }
  4% {
    -webkit-clip-path: polygon(0 10%, 100% 10%, 100% 20%, 0 20%);
    clip-path: polygon(0 10%, 100% 10%, 100% 20%, 0 20%);
  }
  6% {
    -webkit-clip-path: polygon(0 1%, 100% 1%, 100% 2%, 0 2%);
    clip-path: polygon(0 1%, 100% 1%, 100% 2%, 0 2%);
  }
  8% {
    -webkit-clip-path: polygon(0 33%, 100% 33%, 100% 33%, 0 33%);
    clip-path: polygon(0 33%, 100% 33%, 100% 33%, 0 33%);
  }
  10% {
    -webkit-clip-path: polygon(0 44%, 100% 44%, 100% 44%, 0 44%);
    clip-path: polygon(0 44%, 100% 44%, 100% 44%, 0 44%);
  }
  12% {
    -webkit-clip-path: polygon(0 50%, 100% 50%, 100% 20%, 0 20%);
    clip-path: polygon(0 50%, 100% 50%, 100% 20%, 0 20%);
  }
  14% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 70%, 0 70%);
    clip-path: polygon(0 70%, 100% 70%, 100% 70%, 0 70%);
  }
  16% {
    -webkit-clip-path: polygon(0 80%, 100% 80%, 100% 80%, 0 80%);
    clip-path: polygon(0 80%, 100% 80%, 100% 80%, 0 80%);
  }
  18% {
    -webkit-clip-path: polygon(0 50%, 100% 50%, 100% 55%, 0 55%);
    clip-path: polygon(0 50%, 100% 50%, 100% 55%, 0 55%);
  }
  20% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 80%, 0 80%);
    clip-path: polygon(0 70%, 100% 70%, 100% 80%, 0 80%);
  }
  21.9% {
    opacity: .14;
    transform: translate3d(10px,0,0);
  }
  22%, 100% {
    opacity: 0;
    transform: translate3d(0,0,0);
    -webkit-clip-path: polygon(0 0, 0 0, 0 0, 0 0);
    clip-path: polygon(0 0, 0 0, 0 0, 0 0);
  }
}

@keyframes glitch-anim-6 {
  0% {
    opacity: .15;
    transform: translate3d(calc(-1 * 10px),0,0);
    -webkit-clip-path: polygon(0 25%, 100% 25%, 100% 30%, 0 30%);
    clip-path: polygon(0 25%, 100% 25%, 100% 30%, 0 30%);
  }
  3% {
    -webkit-clip-path: polygon(0 3%, 100% 3%, 100% 3%, 0 3%);
    clip-path: polygon(0 3%, 100% 3%, 100% 3%, 0 3%);
  }
  5% {
    -webkit-clip-path: polygon(0 5%, 100% 5%, 100% 20%, 0 20%);
    clip-path: polygon(0 5%, 100% 5%, 100% 20%, 0 20%);
  }
  7% {
    -webkit-clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
    clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
  }
  9% {
    -webkit-clip-path: polygon(0 40%, 100% 40%, 100% 40%, 0 40%);
    clip-path: polygon(0 40%, 100% 40%, 100% 40%, 0 40%);
  }
  11% {
    -webkit-clip-path: polygon(0 52%, 100% 52%, 100% 59%, 0 59%);
    clip-path: polygon(0 52%, 100% 52%, 100% 59%, 0 59%);
  }
  13% {
    -webkit-clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
    clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
  }
  15% {
    -webkit-clip-path: polygon(0 75%, 100% 75%, 100% 75%, 0 75%);
    clip-path: polygon(0 75%, 100% 75%, 100% 75%, 0 75%);
  }
  17% {
    -webkit-clip-path: polygon(0 65%, 100% 65%, 100% 40%, 0 40%);
    clip-path: polygon(0 65%, 100% 65%, 100% 40%, 0 40%);
  }
  19% {
    -webkit-clip-path: polygon(0 45%, 100% 45%, 100% 50%, 0 50%);
    clip-path: polygon(0 45%, 100% 45%, 100% 50%, 0 50%);
  }
  20% {
    -webkit-clip-path: polygon(0 14%, 100% 14%, 100% 33%, 0 33%);
    clip-path: polygon(0 14%, 100% 14%, 100% 33%, 0 33%);
  }
  21.9% {
    opacity: .15;
    transform: translate3d(calc(-1 * 10px),0,0);
  }
  22%, 100% {
    opacity: 0;
    transform: translate3d(0,0,0);
    -webkit-clip-path: polygon(0 0, 0 0, 0 0, 0 0);
    clip-path: polygon(0 0, 0 0, 0 0, 0 0);
  }
}

@keyframes glitch-anim-7 {
  0% {
    opacity: .14;
    transform: translate3d(0, calc(-1 * 5px), 0) scale3d(-1,-1,1);
    -webkit-clip-path: polygon(0 1%, 100% 1%, 100% 3%, 0 3%);
    clip-path: polygon(0 1%, 100% 1%, 100% 3%, 0 3%);
  }
  1.5% {
    -webkit-clip-path: polygon(0 10%, 100% 10%, 100% 9%, 0 9%);
    clip-path: polygon(0 10%, 100% 10%, 100% 9%, 0 9%);
  }
  2% {
    -webkit-clip-path: polygon(0 5%, 100% 5%, 100% 6%, 0 6%);
    clip-path: polygon(0 5%, 100% 5%, 100% 6%, 0 6%);
  }
  2.5% {
    -webkit-clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
    clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
  }
  3% {
    -webkit-clip-path: polygon(0 10%, 100% 10%, 100% 10%, 0 10%);
    clip-path: polygon(0 10%, 100% 10%, 100% 10%, 0 10%);
  }
  5% {
    -webkit-clip-path: polygon(0 30%, 100% 30%, 100% 25%, 0 25%);
    clip-path: polygon(0 30%, 100% 30%, 100% 25%, 0 25%);
  }
  5.5% {
    -webkit-clip-path: polygon(0 15%, 100% 15%, 100% 16%, 0 16%);
    clip-path: polygon(0 15%, 100% 15%, 100% 16%, 0 16%);
  }
  7% {
    -webkit-clip-path: polygon(0 40%, 100% 40%, 100% 39%, 0 39%);
    clip-path: polygon(0 40%, 100% 40%, 100% 39%, 0 39%);
  }
  8% {
    -webkit-clip-path: polygon(0 20%, 100% 20%, 100% 21%, 0 21%);
    clip-path: polygon(0 20%, 100% 20%, 100% 21%, 0 21%);
  }
  9% {
    -webkit-clip-path: polygon(0 60%, 100% 60%, 100% 55%, 0 55%);
    clip-path: polygon(0 60%, 100% 60%, 100% 55%, 0 55%);
  }
  10.5% {
    -webkit-clip-path: polygon(0 30%, 100% 30%, 100% 31%, 0 31%);
    clip-path: polygon(0 30%, 100% 30%, 100% 31%, 0 31%);
  }
  11% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 69%, 0 69%);
    clip-path: polygon(0 70%, 100% 70%, 100% 69%, 0 69%);
  }
  13% {
    -webkit-clip-path: polygon(0 40%, 100% 40%, 100% 41%, 0 41%);
    clip-path: polygon(0 40%, 100% 40%, 100% 41%, 0 41%);
  }
  14% {
    -webkit-clip-path: polygon(0 80%, 100% 80%, 100% 75%, 0 75%);
    clip-path: polygon(0 80%, 100% 80%, 100% 75%, 0 75%);
  }
  14.5% {
    -webkit-clip-path: polygon(0 50%, 100% 50%, 100% 51%, 0 51%);
    clip-path: polygon(0 50%, 100% 50%, 100% 51%, 0 51%);
  }
  15% {
    -webkit-clip-path: polygon(0 90%, 100% 90%, 100% 90%, 0 90%);
    clip-path: polygon(0 90%, 100% 90%, 100% 90%, 0 90%);
  }
  16% {
    -webkit-clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
    clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
  }
  18% {
    -webkit-clip-path: polygon(0 100%, 100% 100%, 100% 99%, 0 99%);
    clip-path: polygon(0 100%, 100% 100%, 100% 99%, 0 99%);
  }
  20% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 71%, 0 71%);
    clip-path: polygon(0 70%, 100% 70%, 100% 71%, 0 71%);
  }
  21.9% {
    opacity: .14;
    transform: translate3d(0, calc(-1 * 5px), 0) scale3d(-1,-1,1);
  }
  22%, 100% {
    opacity: 0;
    transform: translate3d(0,0,0);
    -webkit-clip-path: polygon(0 0, 0 0, 0 0, 0 0);
    clip-path: polygon(0 0, 0 0, 0 0, 0 0);
  }
}

@keyframes glitch-anim-8 {
  0% {
    opacity: .13;
    transform: translate3d(0, calc(-1 * 10px), 0) scale3d(-1,-1,1);
    -webkit-clip-path: polygon(0 1%, 100% 1%, 100% 3%, 0 3%);
    clip-path: polygon(0 1%, 100% 1%, 100% 3%, 0 3%);
  }
  1.5% {
    -webkit-clip-path: polygon(0 10%, 100% 10%, 100% 9%, 0 9%);
    clip-path: polygon(0 10%, 100% 10%, 100% 9%, 0 9%);
  }
  2% {
    -webkit-clip-path: polygon(0 5%, 100% 5%, 100% 6%, 0 6%);
    clip-path: polygon(0 5%, 100% 5%, 100% 6%, 0 6%);
  }
  2.5% {
    -webkit-clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
    clip-path: polygon(0 20%, 100% 20%, 100% 20%, 0 20%);
  }
  3% {
    -webkit-clip-path: polygon(0 10%, 100% 10%, 100% 10%, 0 10%);
    clip-path: polygon(0 10%, 100% 10%, 100% 10%, 0 10%);
  }
  5% {
    -webkit-clip-path: polygon(0 30%, 100% 30%, 100% 25%, 0 25%);
    clip-path: polygon(0 30%, 100% 30%, 100% 25%, 0 25%);
  }
  5.5% {
    -webkit-clip-path: polygon(0 15%, 100% 15%, 100% 16%, 0 16%);
    clip-path: polygon(0 15%, 100% 15%, 100% 16%, 0 16%);
  }
  7% {
    -webkit-clip-path: polygon(0 40%, 100% 40%, 100% 39%, 0 39%);
    clip-path: polygon(0 40%, 100% 40%, 100% 39%, 0 39%);
  }
  8% {
    -webkit-clip-path: polygon(0 20%, 100% 20%, 100% 21%, 0 21%);
    clip-path: polygon(0 20%, 100% 20%, 100% 21%, 0 21%);
  }
  9% {
    -webkit-clip-path: polygon(0 60%, 100% 60%, 100% 55%, 0 55%);
    clip-path: polygon(0 60%, 100% 60%, 100% 55%, 0 55%);
  }
  10.5% {
    -webkit-clip-path: polygon(0 30%, 100% 30%, 100% 31%, 0 31%);
    clip-path: polygon(0 30%, 100% 30%, 100% 31%, 0 31%);
  }
  11% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 69%, 0 69%);
    clip-path: polygon(0 70%, 100% 70%, 100% 69%, 0 69%);
  }
  13% {
    -webkit-clip-path: polygon(0 40%, 100% 40%, 100% 41%, 0 41%);
    clip-path: polygon(0 40%, 100% 40%, 100% 41%, 0 41%);
  }
  14% {
    -webkit-clip-path: polygon(0 80%, 100% 80%, 100% 75%, 0 75%);
    clip-path: polygon(0 80%, 100% 80%, 100% 75%, 0 75%);
  }
  14.5% {
    -webkit-clip-path: polygon(0 50%, 100% 50%, 100% 51%, 0 51%);
    clip-path: polygon(0 50%, 100% 50%, 100% 51%, 0 51%);
  }
  15% {
    -webkit-clip-path: polygon(0 90%, 100% 90%, 100% 90%, 0 90%);
    clip-path: polygon(0 90%, 100% 90%, 100% 90%, 0 90%);
  }
  16% {
    -webkit-clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
    clip-path: polygon(0 60%, 100% 60%, 100% 60%, 0 60%);
  }
  18% {
    -webkit-clip-path: polygon(0 100%, 100% 100%, 100% 99%, 0 99%);
    clip-path: polygon(0 100%, 100% 100%, 100% 99%, 0 99%);
  }
  20% {
    -webkit-clip-path: polygon(0 70%, 100% 70%, 100% 71%, 0 71%);
    clip-path: polygon(0 70%, 100% 70%, 100% 71%, 0 71%);
  }
  21.9% {
    opacity: .13;
    transform: translate3d(0, calc(-1 * 10px), 0) scale3d(-1,-1,1);
  }
  22%, 100% {
    opacity: 0;
    transform: translate3d(0,0,0);
    -webkit-clip-path: polygon(0 0, 0 0, 0 0, 0 0);
    clip-path: polygon(0 0, 0 0, 0 0, 0 0);
  }
}